summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sbin/Makefile4
-rw-r--r--sbin/iopctl/Makefile10
2 files changed, 10 insertions, 4 deletions
diff --git a/sbin/Makefile b/sbin/Makefile
index f679040a7b2..309ddcd4779 100644
--- a/sbin/Makefile
+++ b/sbin/Makefile
@@ -1,10 +1,10 @@
-# $OpenBSD: Makefile,v 1.59 2001/06/24 21:04:13 kjell Exp $
+# $OpenBSD: Makefile,v 1.60 2001/07/05 02:14:37 mickey Exp $
# Not ported: XNSrouted enpload scsiformat startslip
# Missing: icheck
SUBDIR= atactl badsect brconfig ccdconfig disklabel dmesg fsck ifconfig init \
- ipsecadm isakmpd kbd lmccontrol mknod modload \
+ iopctl ipsecadm isakmpd kbd lmccontrol mknod modload \
modunload mount mountd ncheck_ffs nfsd nologin pfctl photurisd ping \
quotacheck raidctl reboot route routed savecore scan_ffs scsi \
shutdown slattach startkey swapctl sysctl ttyflags umount
diff --git a/sbin/iopctl/Makefile b/sbin/iopctl/Makefile
index 399aeffeed0..7f7b6d3d304 100644
--- a/sbin/iopctl/Makefile
+++ b/sbin/iopctl/Makefile
@@ -1,6 +1,12 @@
-# $OpenBSD: Makefile,v 1.1 2001/07/05 02:07:46 mickey Exp $
+# $OpenBSD: Makefile,v 1.2 2001/07/05 02:14:38 mickey Exp $
+
+.if (${MACHINE} == "i386") || (${MACHINE} == "powerpc") || \
+ (${MACHINE} == "alpha")
+PROG= iopctl
+.else
+NOPROG=
+.endif
-PROG= iopctl
MAN= iopctl.8
.include <bsd.prog.mk>